Package org.lwjgl.opengl

# Class NVBindlessTexture

java.lang.Object
org.lwjgl.opengl.NVBindlessTexture

public final class NVBindlessTexture extends Object

## Method Summary

Modifier and Type
Method
Description
`static long`
`glGetImageHandleNV(int texture, int level, boolean layered, int layer, int format)`
`static long`
`glGetTextureHandleNV(int texture)`
`static long`
`glGetTextureSamplerHandleNV(int texture, int sampler)`
`static boolean`
`glIsImageHandleResidentNV(long handle)`
`static boolean`
`glIsTextureHandleResidentNV(long handle)`
`static void`
`glMakeImageHandleNonResidentNV(long handle)`
`static void`
`glMakeImageHandleResidentNV(long handle, int access)`
`static void`
`glMakeTextureHandleNonResidentNV(long handle)`
`static void`
`glMakeTextureHandleResidentNV(long handle)`
`static void`
`glProgramUniformHandleui64NV(int program, int location, long value)`
`static void`
`glProgramUniformHandleuNV(int program, int location, LongBuffer values)`
`static void`
`glUniformHandleui64NV(int location, long value)`
`static void`
`glUniformHandleuNV(int location, LongBuffer value)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### glGetTextureHandleNV

public static long glGetTextureHandleNV(int texture)

### glGetTextureSamplerHandleNV

public static long glGetTextureSamplerHandleNV(int texture, int sampler)

### glMakeTextureHandleResidentNV

public static void glMakeTextureHandleResidentNV(long handle)

### glMakeTextureHandleNonResidentNV

public static void glMakeTextureHandleNonResidentNV(long handle)

### glGetImageHandleNV

public static long glGetImageHandleNV(int texture, int level, boolean layered, int layer, int format)

### glMakeImageHandleResidentNV

public static void glMakeImageHandleResidentNV(long handle, int access)

### glMakeImageHandleNonResidentNV

public static void glMakeImageHandleNonResidentNV(long handle)

### glUniformHandleui64NV

public static void glUniformHandleui64NV(int location, long value)

### glUniformHandleuNV

public static void glUniformHandleuNV(int location, LongBuffer value)

### glProgramUniformHandleui64NV

public static void glProgramUniformHandleui64NV(int program, int location, long value)

### glProgramUniformHandleuNV

public static void glProgramUniformHandleuNV(int program, int location, LongBuffer values)

### glIsTextureHandleResidentNV

public static boolean glIsTextureHandleResidentNV(long handle)

### glIsImageHandleResidentNV

public static boolean glIsImageHandleResidentNV(long handle)